xflags::xflags! {
    src "./src/flags.rs"

    /// Run the custom build command
    cmd xtask {
        default cmd help {
            optional -h, --help
        }

        /// Run the fuzzer for the parser
        cmd fuzz-tests {
            /// run the lexer fuzz tests instead
            optional -l, --lexer
        }

        /// Run the codegen
        cmd codegen {}
    }
}
// generated start
// The following code is generated by `xflags` macro.
// Run `env UPDATE_XFLAGS=1 cargo build` to regenerate.
#[derive(Debug)]
pub struct Xtask {
    pub subcommand: XtaskCmd,
}

#[derive(Debug)]
pub enum XtaskCmd {
    Help(Help),
    FuzzTests(FuzzTests),
    Codegen(Codegen),
}

#[derive(Debug)]
pub struct Help {
    pub help: bool,
}

#[derive(Debug)]
pub struct FuzzTests {
    pub lexer: bool,
}

#[derive(Debug)]
pub struct Codegen;

impl Xtask {
    pub const HELP: &'static str = Self::HELP_;

    pub fn from_env() -> xflags::Result<Self> {
        Self::from_env_()
    }

    pub fn from_vec(args: Vec<std::ffi::OsString>) -> xflags::Result<Self> {
        Self::from_vec_(args)
    }
}
// generated end
